# ifndef CWRITE_DATALINE_H
   # define CWRITE_DATALINE_H

   # include "datachains.h"

      // -- dataline parameters --
   extern int dataline_start_size;
   extern int dataline_extend_size;

      // -- dataline functions --
   extern void dataline_fill(int c);
   extern void dataline_fill(int c, int n);


   extern void dataline_insert();
   extern void dataline_insert_smart();

   extern void dataline_shift_left(Datachain * _datachain, int n);
   extern void dataline_shift_right();

   extern void selection_shift(Datachain * _datachain);
   extern void selection_shift_left(Datachain * _datachain);
   extern void selection_shift_right(Datachain * _datachain);

   extern void dataline_delete_to_eol();
   extern void dataline_remove();
   extern void dataline_goto();
   extern char * _dataline_advance(Datachain * _datachain, char * _dataline_point);
   extern bool dataline_is_empty(Datachain * _datachain);

   extern void block_remove(Datachain * _datachain_begin, Datachain * _datachain_end, bool insert_line_rq);
# endif
