# include "std.h"
# if LICENCE
   This file is part of cwrite.
   Copyright 2007, Desislav Georgiev.
 
   cwrite is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
 
   cwrite is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with cwrite.  If not, see <http://www.gnu.org/licenses/>.
# endif
# if HEADER
   # include <curses.h>

   # include "cwrite.h"
# endif

void curses_clear()
   { clear();
     return;
   }
int curses_mvaddnstr(int y, int x, const char * _str, int n)
   { return mvaddnstr(y, x, _str, n);
   }
int curses_mvchgat(int y, int x, int n, attr_t attr, short color, const void * _opts)
   { return mvchgat(y, x, n, attr, color, _opts);
   }
int curses_curs_set(int visibility)
   { return curs_set(visibility);
   }
int curses_move(int y, int x)
   { return move(y, x);
   }
int curses_getch(void)
   { return getch();
   }
int curses_init_color(short color, short r, short g, short b)
   { return init_color(color, r, g, b);
   }
int curses_init_pair(short pair, short f, short b)
   { return init_pair(pair, f, b);
   }
int curses_touchline(WINDOW * _win, int start, int count)
   { return touchline(_win, start, count);
   }
int curses_touchwin(WINDOW * _win)
   { return touchwin(_win);
   }
int curses_color_content(short color, short * _r, short * _g, short * _b)
   { return color_content(color, _r, _g, _b);
   }
int curses_endwin()
   { return endwin();
   }
